package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.AlarmInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface AlarmInfoService {
	AlarmInfo get(String id);
	boolean exist(String id);
	int insert(AlarmInfo model);
	int update(AlarmInfo model);
	int delete(String id);
	AlarmInfo queryLatestAlarm(String type);
	List<AlarmInfo> list();
	Page<AlarmInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}